From ee5a3ef46981c93126f93a2cbbcdcb48fcbdce8b Mon Sep 17 00:00:00 2001
From: Ralph Bean <rbean@redhat.com>
Date: Mar 30 2016 17:28:35 +0000
Subject: [PATCH 370/1001] Pass msg_id on to redis and the cache workers, just for logging's sake.


---

diff --git a/hubs/consumer.py b/hubs/consumer.py
index 48c64f3..bde01c7 100755
--- a/hubs/consumer.py
+++ b/hubs/consumer.py
@@ -160,17 +160,16 @@ class CacheInvalidatorExtraordinaire(fedmsg.consumers.FedmsgConsumer):
             self.ubiquitous_checks,
         ], [])
 
-        statement = "Found %i checks to try for this message" % len(checks)
-        if checks:
-            log.info(statement)
-        else:
-            log.debug(statement)
+        log.debug("Found %i checks to try for this message" % len(checks))
 
         # Then, with that hopefully smaller list of checks, try them all and
         # see if any tell us that we should nuke various data caches.
         for check, widget in checks:
             if check(msg, session, widget):
-                task = retask.task.Task(json.dumps({'idx': widget.idx}))
+                task = retask.task.Task(json.dumps({
+                    'idx': widget.idx,
+                    'msg_id': msg['msg_id'],
+                }))
                 log.debug("  Sending %r to workers. (backlog is %r)" % (
                     task, queue.length))
                 queue.enqueue(task)

